# Loopup NIN Slip (Image)

## Verify a National Identification Number(NIN) Slip

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v1/biometrics/merchant/data/verification/nin/image`

This endpoint allows you to verify an image of a NIN slip.

#### Headers

| Name      | Type   | Description        |
| --------- | ------ | ------------------ |
| x-api-key | string | \<your secret key> |

#### Request Body

| Name  | Type   | Description                    |
| ----- | ------ | ------------------------------ |
| image | string | NIN slip image(png,jpg,base64) |

{% tabs %}
{% tab title="200 Verified successfully." %}

```
{
    "status": true,
    "detail": "Verification Successful",
    "response_code":"00",
    "nin_data": {
        "birthcountry": "",
        "birthdate": "24-09-1989",
        "birthlga": "",
        "birthstate": "",
        "centralID": "",
        "educationallevel": "",
        "email": "",
        "emplymentstatus": "",
        "firstname": "",
        "gender": "f",
        "heigth": "",
        "maritalstatus": "single",
        "nin": "",
        "nok_address1": "",
        "nok_address2": "",
        "nok_firstname": "",
        "nok_lga": "",
        "nok_middlename": "",
        "nok_postalcode": "",
        "nok_state": "",
        "nok_surname": "",
        "nok_town": "",
        "nspokenlang": "YORUBA",
        "ospokenlang": "",
        "pfirstname": "",
        "photo": "",
        "pmiddlename": "",
        "profession": "",
        "psurname": "",
        "religion": "christianity",
        "residence_address": "",
        "residence_Town": "",
        "residence_lga": "",
        "residence_state": "",
        "residencestatus": "",
        "self_origin_lga": "",
        "self_origin_place": "",
        "self_origin_state": "",
        "signature": "",
        "surname": "",
        "telephoneno": "",
        "title": ""
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/v1/data-verification-1/data-verification/nigeria/nin-verification/loopup-nin-slip-image.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
